<?php
declare(strict_types=1);

/**
 * CakePHP(tm) : Rapid Development Framework (https://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
 * @link      https://cakephp.org CakePHP(tm) Project
 * @since     0.2.9
 * @license   https://opensource.org/licenses/mit-license.php MIT License
 */
namespace App\Controller;

use Cake\Controller\Controller;

/**
 * Application Controller
 *
 * Add your application-wide methods in the class below, your controllers
 * will inherit them.
 *
 * @link https://book.cakephp.org/4/en/controllers.html#the-app-controller
 */
class AppController extends Controller
{
    /**
     * Initialization hook method.
     *
     * Use this method to add common initialization code like loading components.
     *
     * e.g. `$this->loadComponent('FormProtection');`
     *
     * @return void
     */
    public function initialize(): void
    {
        parent::initialize();

        $this->loadComponent('RequestHandler');
        $this->loadComponent('Flash');

        /*
         * Enable the following component for recommended CakePHP form protection settings.
         * see https://book.cakephp.org/4/en/controllers/components/form-protection.html
         */
        //$this->loadComponent('FormProtection');
    }


   function getDeviceToken($device="")
	{
		
		if($device=="")
		{
			return false;
		}
		
		$tabApiTokens=$this->fetchTable('ApiTokens');
		$adminApiTokens = $tabApiTokens->findByDevice($device)->toArray();
		
		if((isset($adminApiTokens[0]['id']))&&($adminApiTokens[0]['id']!=""))
		{
			
			$adminApiTokens = $adminApiTokens[0];
			$tokenInfo = array(
									"request_key"	=>	$adminApiTokens['request_key'],
									"request_token"	=>	$adminApiTokens['request_token']
						);

			return $tokenInfo;
		}
		else
		{
			return false;
		}

		return false;
	}
	
	public function validateSecurityToken()
	{
		$headers = apache_request_headers();
		
		$tokenData = array();
		$tokenData['data_key'] = $headers['Datakey'];
		$tokenData['request_key'] = $headers['Requestkey'];
		$tokenData['request_token'] = $headers['Requesttoken'];
		$tokenData['device'] = $headers['Device'];
		
	
		return true;
	}
}
