<?php
namespace App\Controller\Component;

use Cake\Controller\Component;
use Cake\ORM\TableRegistry;
use Cake\Mailer\Email;

class SeoComponent extends Component
{
	function getMasterContentDesc($cityData)
	{
		  $contentData = array();
		  
		  $contentData["description"] = str_replace("#####CITY#####", $cityData["city_name"],$cityData["city_description"]);

		  return $contentData;
	}

	function getMasterMetaData($cityData)
	{
		$data = array();

		if(isset($cityData['meta_title']))
		{
			$data['meta_title'] = str_replace("#####CITY#####", $cityData["city_name"], $cityData['meta_title']);
		}

		if(isset($cityData['meta_description']))
		{
			$data['meta_description'] = str_replace("#####CITY#####", $cityData["city_name"], $cityData['meta_description']);
		}

		if(isset($cityData['meta_keyword']))
		{
			$data['meta_keyword'] = str_replace("#####CITY#####", $cityData["meta_keyword"], $cityData['meta_keyword']);
		}

		return $data;
	}

function getCityMeta($cityMeta){
  $mdata = array();
  if(empty($cityMeta["meta_title"])){
    $mdata["meta_title"] = str_replace("#####CITY#####", $cityMeta["city_name"], "Home tutor at #####CITY##### | Best Home tuition at #####CITY#####");
    $mdata["meta_description"] = str_replace("#####CITY#####", $cityMeta["city_name"], "Find the perfect home tutors at #####CITY##### from the home-tuition platform. Hire the best home tutor without any tuition fees for tuition classes at #####CITY##### are listed on this page.");
  }else{
    $mdata["meta_title"] = $cityMeta["meta_title"];
    $mdata["meta_description"] = $cityMeta["meta_description"];
  }

  return $mdata;
}


function getTutorCityMeta($cityMeta){
  $mdata = array();
  if(empty($cityMeta["meta_title"])){
    $mdata["meta_title"] = str_replace("#####CITY#####", $cityMeta["city_name"], "Home Tuition Job at #####CITY##### | Tutoring Job at #####CITY#####");
    $mdata["meta_description"] = str_replace("#####CITY#####", $cityMeta["city_name"], "Are you searching for a home tuition job at #####CITY#####, get inside #####CITY##### students who are looking for home tuition nearby #####CITY##### locations.");
  }else{
    $mdata["meta_title"] = $cityMeta["meta_title"];
    $mdata["meta_description"] = $cityMeta["meta_description"];
  }

  return $mdata;
}



function getTutorCityDesc($cityTutor){
  $mdata = array();
  if(empty($cityTutor["tutor_description"])){
    $mdata["tutor_description"] = str_replace("#####CITY#####", $cityTutor["city_name"], "

    <h3><strong>Job Requirement for Home tuition at #####CITY#####</strong></h3>

    <p>Home tuition is one of the largest tutoring platforms in India and is looking for great teachers who are willing to teach students based on their expertise at #####CITY#####.</p>

    <p>As a tutor, you are an ambassador of Home-tuition.com and teach students to form your home if opted for an online class or you need to visit a student&rsquo;s home if opt for offline tuition in city #####CITY#####.</p>

    <h3><strong>Job rules and requirements for Home tuition at #####CITY#####</strong></h3>

    <ul>
    <li><strong>Dedicated and Passionate:</strong> Someone who belongs to Teaching from city #####CITY##### and does everything to make it fun and productive for Learners and their parents with their ability to convert specific subject to become interesting and engaging too.</li>
    <li><strong>Consistently Available:</strong> Being a Tutor at #####CITY##### it&#39;s your responsibility to take the class online or offline depending on your selection as per the timetable provided to the parents. Be consistent and regular.</li>
    <li><strong>Creative Content:</strong> Someone who deeps dives into the content and brings interesting ways for different types of Learners to learn. Loves to follow Processes. Must be able to write and prepare PPT with story-based lines and do the recording or live for the same.</li>
    <li><strong>Willing to Learn and Grow:</strong> Must follow the syllabus of school as per the city #####CITY##### and very well designed content flow with added suitable examples and concepts explained in a very easy way to establish a deeper understanding to the learners.</li>
    </ul>");






  }else{
    $mdata["tutor_description"] = $cityTutor["tutor_description"];
  }

  return $mdata;
}

function getCityDesc($cityDefaultDesc){
  $mdata = array();
  if(empty($cityDefaultDesc["city_description"])){
    $mdata["city_description"] = str_replace("#####CITY#####", $cityDefaultDesc["city_name"], "
<h2>Find Home Tuition in #####CITY##### in Just Two Steps</h2>
<ul>
<li><strong>Step-1: Find your perfect tutor in #####CITY#####:</strong> Check out the best tutor profiles of #####CITY##### shown on this page freely and contact your tutor based on your requirements of subject, class, courses, and the locality near your place of #####CITY##### this page consists of the top tutors of #####CITY#####</li>
</ul>
<ul>
<li><strong>Step-2: Arrange your classes at your home:</strong> Once you select the right tutor from the above list of best tutors of #####CITY#####, explain your needs and discuss availability. Schedule your free demo class and pay them securely, all from your profile page.</li>
<li>Be taught by the best teachers in #####CITY##### from Home-tution.com India&rsquo;s Largest platform for online and offline tutors. We help you to find private home tutors near me in #####CITY#####, we have listed home tutors from all parts of #####CITY#####. Find the best tutors at #####CITY##### of your requirement, we have listed teachers based on class, subject, and expertise.</li>
</ul>");
  }else{
    $mdata["city_description"] = $cityDefaultDesc["city_description"];
  }

  return $mdata;
}

function getSubcityMeta($cityMeta){
  $mdata = array();
  if(empty($cityMeta["meta_title"])){
    $mdata["meta_title"] = str_replace("#####CITY#####", $cityMeta["city_name"], "Top Tutors at #####CITY##### | Best Home tuition near #####CITY#####");
    $mdata["meta_description"] = str_replace("#####CITY#####", $cityMeta["city_name"], "Find the list of top 100 home tutors at #####CITY##### from the home-tuition platform, this page consists of the best tutors for home tuition near #####CITY#####.");
  }else{
    $mdata["meta_title"] = $cityMeta["meta_title"];
    $mdata["meta_description"] = $cityMeta["meta_description"];
  }

  return $mdata;
}

function getSubcityDesc($cityDefaultDesc){
  $mdata = array();
  if(empty($cityDefaultDesc["city_description"])){
    $mdata["city_description"] = str_replace("#####CITY#####", $cityDefaultDesc["city_name"], "
<h1>Best home tutors in #####CITY#####</h1>
");
  }else{
    $mdata["city_description"] = $cityDefaultDesc["city_description"];
  }

  return $mdata;
}

}
?>
